Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPDGCode.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPDGCode.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPDGCode.cc	(revision 1055)
@@ -25,10 +25,17 @@
 //
 //
-// $Id: G4QPDGCode.cc,v 1.56 2008/03/20 20:11:38 dennis Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QPDGCode.cc,v 1.57 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QPDGCode ----------------
 //             by Mikhail Kossov, Sept 1999.
 //      class for Hadron definitions in CHIPS Model
+// -------------------------------------------------------------------
+// Short description: The PDG Code is made on the basis of the Quark
+// Content (G4QuarkContent) of the hadronic state (including nuclear
+// fragments). The PDG code of the ground state (e.g. pi, N, etc.) is
+// calculated. It includes a complicated algortithm of the G.S. mass
+// calculation for nuclear fragments (now it is synchronised with the
+// G4 nuclear massess).
 // -------------------------------------------------------------------
 
@@ -222,6 +229,6 @@
   static G4int qC[modi] = { 11,   12,   13,   14,   15,   16,   22,   23,   24,   25, // 10
                             37,  110,  220,  330,  111,  211,  221,  311,  321,  331, // 20
-						                    2112, 2212, 3122, 3112, 3212, 3222, 3312, 3322,  113,  213, // 30
-						                     223,  313,  323,  333, 1114, 2114, 2214, 2224, 3124, 3114, // 40
+                          2112, 2212, 3122, 3112, 3212, 3222, 3312, 3322,  113,  213, // 30
+                           223,  313,  323,  333, 1114, 2114, 2214, 2224, 3124, 3114, // 40
                           3214, 3224, 3314, 3324, 3334,  115,  215,  225,  315,  325, // 50
                            335, 2116, 2216, 3126, 3116, 3216, 3226, 3316, 3326,  117, // 60
@@ -235,5 +242,5 @@
                            91001999 , 90001002 , 90002001 , 91000002 , 91001001 ,     //110
                            91002000 , 92000001 , 92001000 , 90999003 , 90001003 ,
-						   90002002 , 90003001 , 91001002 , 91002001 , 92000002 ,     //120
+         90002002 , 90003001 , 91001002 , 91002001 , 92000002 ,     //120
                            92001001 , 92002000};
   static G4int aC[15] = {1,1000,999001,1000000,1000999,1999000,1999999,        // sum 1
@@ -269,32 +276,32 @@
     ,  1691.,   1667.,    1776.,    1776.,   1854.,   1950.,  1950.,  1950.,  1950.,  2100.
     ,  2030.,   2030.,    2030.,    2127.,   2127.,   2252.,  2020.,  2020.,  2044.,  2045.
-	   , 2045., 2297., 2170.272, 2171.565, 2464., 2464., 3108.544, 3111.13,3402.272,3403.565};
+    , 2045., 2297., 2170.272, 2171.565, 2464., 2464., 3108.544, 3111.13,3402.272,3403.565};
   if(iniFlag) // Initialization of the Geant4 hadronic masses
-		{
-				m[ 0]=      G4Electron::Electron()->GetPDGMass();
-				m[ 1]=    G4NeutrinoE::NeutrinoE()->GetPDGMass();
-				m[ 2]=    G4MuonMinus::MuonMinus()->GetPDGMass();
-				m[ 3]=  G4NeutrinoMu::NeutrinoMu()->GetPDGMass();
-				m[ 4]=      G4TauMinus::TauMinus()->GetPDGMass();
-				m[ 5]=G4NeutrinoTau::NeutrinoTau()->GetPDGMass();
-				m[14]=      G4PionZero::PionZero()->GetPDGMass();
-				m[15]=    G4PionMinus::PionMinus()->GetPDGMass();
-				m[16]=                G4Eta::Eta()->GetPDGMass();
-				m[17]=      G4KaonZero::KaonZero()->GetPDGMass();
-				m[18]=    G4KaonMinus::KaonMinus()->GetPDGMass();
-				m[19]=      G4EtaPrime::EtaPrime()->GetPDGMass();
-				m[20]=        G4Neutron::Neutron()->GetPDGMass();
-				m[21]=          G4Proton::Proton()->GetPDGMass();
-				m[22]=          G4Lambda::Lambda()->GetPDGMass();
-				m[23]=  G4SigmaMinus::SigmaMinus()->GetPDGMass();
-				m[24]=    G4SigmaZero::SigmaZero()->GetPDGMass();
-				m[25]=    G4SigmaPlus::SigmaPlus()->GetPDGMass();
-				m[26]=        G4XiMinus::XiMinus()->GetPDGMass();
-				m[27]=          G4XiZero::XiZero()->GetPDGMass();
-				m[44]=  G4OmegaMinus::OmegaMinus()->GetPDGMass();
+  {
+    m[ 0]=      G4Electron::Electron()->GetPDGMass();
+    m[ 1]=    G4NeutrinoE::NeutrinoE()->GetPDGMass();
+    m[ 2]=    G4MuonMinus::MuonMinus()->GetPDGMass();
+    m[ 3]=  G4NeutrinoMu::NeutrinoMu()->GetPDGMass();
+    m[ 4]=      G4TauMinus::TauMinus()->GetPDGMass();
+    m[ 5]=G4NeutrinoTau::NeutrinoTau()->GetPDGMass();
+    m[14]=      G4PionZero::PionZero()->GetPDGMass();
+    m[15]=    G4PionMinus::PionMinus()->GetPDGMass();
+    m[16]=                G4Eta::Eta()->GetPDGMass();
+    m[17]=      G4KaonZero::KaonZero()->GetPDGMass();
+    m[18]=    G4KaonMinus::KaonMinus()->GetPDGMass();
+    m[19]=      G4EtaPrime::EtaPrime()->GetPDGMass();
+    m[20]=        G4Neutron::Neutron()->GetPDGMass();
+    m[21]=          G4Proton::Proton()->GetPDGMass();
+    m[22]=          G4Lambda::Lambda()->GetPDGMass();
+    m[23]=  G4SigmaMinus::SigmaMinus()->GetPDGMass();
+    m[24]=    G4SigmaZero::SigmaZero()->GetPDGMass();
+    m[25]=    G4SigmaPlus::SigmaPlus()->GetPDGMass();
+    m[26]=        G4XiMinus::XiMinus()->GetPDGMass();
+    m[27]=          G4XiZero::XiZero()->GetPDGMass();
+    m[44]=  G4OmegaMinus::OmegaMinus()->GetPDGMass();
     iniFlag=false;
   }
   if(nQ<0 || nQ>=nQHM)
-		{
+  {
     G4cout<<"***G4QPDGCode::QHaM: negative Q-code or Q="<<nQ<<" >= nQmax = "<<nQHM<<G4endl;
     return 0.;
@@ -327,6 +334,6 @@
 #endif
     if(b<0)                                        // ---> Baryons & Fragments
-	   {
-	     b=-b;
+    {
+      b=-b;
       n=-n;
       z=-z;
@@ -335,8 +342,8 @@
     }
     else if(!b)                                    // --> Mesons
-	   {
+    {
       //G4bool anti=false;                           // For the PDG conversion
       if(z<0)                                      // --> Mesons conversion
-	     {
+      {
         n=-n;
         z=-z;
@@ -345,7 +352,7 @@
       }
       if(!z)
-	     {
+      {
         if(s>0)
-	       {
+        {
           n=-n;
           s=-s;
@@ -357,5 +364,5 @@
       }
       else                                         // --> z>0
-	     {
+      {
         if(z==1)
         {
@@ -368,9 +375,9 @@
     } // End of meson case
     if(b>0)                                        // --> Baryon case
-	   {
+    {
       if(b==1)
-	     {
+      {
         if(!s)                                     // --> Baryons
-		      {
+        {
           if(z==-1)    return 34;                  // Delta-
           else if(!z)  return 91;                  // neutron
@@ -381,5 +388,5 @@
         }
         else if(s==1)                              // --> Hyperons
-		      {
+        {
           if(z==-1)    return 93;                  // Sigma-
           else if(!z)  return 92;                  // Lambda (@@ 24->Sigma0)
@@ -389,5 +396,5 @@
         }
         else if(s==2)                              // --> Xi Hyperons
-		      {
+        {
           if(z==-1)    return 95;                  // Xi-
           else if(!z)  return 96;                  // Xi0
@@ -396,5 +403,5 @@
         }
         else if(s==3)                              // --> Xi Hyperons
-		      {
+        {
           if(z==-1)    return 97;                  // Omega-
           else if(!z||z==-2)  return -1;           // Omega+pi Chipolino
@@ -403,5 +410,5 @@
       }
       else
-	     {
+      {
         if(b==2)
         {
@@ -457,5 +464,5 @@
     G4int p=PDGC/10;                // Quark Content
     if(r%2)                         // (2s+1 is odd) Mesons are all the same
-	   {
+    {
       if     (p==11) return Q+=1;
       else if(p==21) return Q+=2;
@@ -471,10 +478,10 @@
         return -2;
       }
-	   }
+    }
     else                    // (2s+1 is even) Baryons
-	   {
+    {
       G4int s=r/2;
       if(s%2)               // ((2s+1)/2 is odd) N Family
-	     {
+      {
         if     (p==211) return Q+=1;
         else if(p==221) return Q+=2;
@@ -492,7 +499,7 @@
           return -2;
         }
-	     }
-	     else                  // ((2s+1)/2 is odd) Delta Family
-	     {
+      }
+      else                  // ((2s+1)/2 is odd) Delta Family
+      {
         if     (p==111) return Q+= 1;
         else if(p==211) return Q+= 2;
@@ -513,6 +520,6 @@
           return -2;
         }
-	     }
-	   }
+      }
+    }
   }
   else                        // Nuclear Fragments
@@ -527,7 +534,7 @@
 #endif
       return -2;
-	   }
+    }
     else
-	   {
+    {
       G4int b=t/3;            // baryon number
       if(b==1)                // baryons
@@ -604,5 +611,5 @@
       }
       else
-	     {
+      {
         if     (s==0&&u==-1&&d== 1) return Q+=1;
         else if(s==0&&u== 0&&d== 0) return Q+=2;
@@ -620,6 +627,6 @@
           return -2;
         }
-	     }
-	   }
+      }
+    }
   }
 #ifdef pdebug
@@ -634,5 +641,5 @@
   G4int ab=theQCode;
 #ifdef debug
-		G4cout<<"G4QPDGCode::GetMass: Mass for Q="<<ab<<",PDG="<<thePDGCode<<",N="<<nQHM<<G4endl;
+  G4cout<<"G4QPDGCode::GetMass: Mass for Q="<<ab<<",PDG="<<thePDGCode<<",N="<<nQHM<<G4endl;
 #endif
   if ( (ab < 0 && thePDGCode < 80000000) || !thePDGCode) {
@@ -664,5 +671,5 @@
   G4double m=GetNuclMass(z,n,s);
 #ifdef debug
-		G4cout<<"G4QPDG::GetM:PDG="<<thePDGCode<<"=>Z="<<z<<",N="<<n<<",S="<<s<<",M="<<m<<G4endl;
+  G4cout<<"G4QPDG::GetM:PDG="<<thePDGCode<<"=>Z="<<z<<",N="<<n<<",S="<<s<<",M="<<m<<G4endl;
 #endif
   return m;
@@ -684,5 +691,5 @@
     , 160., 168., 159., 159.,  87., 300., 300.,  300., 300., 200.
     , 180., 180., 180.,  99.,  99.,  55., 387.,  387., 208., 198.
-	   , 198., 149., 120., 120., 170., 170., 120.,  120., 170., 170.};
+    , 198., 149., 120., 120., 170., 170., 120.,  120., 170., 170.};
   G4int ab=abs(theQCode);
   if(ab<nW) return width[ab];
@@ -730,6 +737,6 @@
   static const G4int iNF[nEl]={0,0,0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, // 14
                          1  ,  2,  3,  4,  5,  6,  7,  8,  9, 10, 11, 12, 13, 14, 15, // 29
-																									16 , 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, // 44
-																									31 , 32, 34, 36, 38, 40, 42, 44, 46, 48, 50, 52, 53, 54, 55, // 59
+                         16 , 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, // 44
+                         31 , 32, 34, 36, 38, 40, 42, 44, 46, 48, 50, 52, 53, 54, 55, // 59
                          56 , 56, 57, 57, 58, 60, 61, 63, 64, 65, 66, 67, 68, 69, 70, // 74
                          71 , 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, // 89
@@ -738,6 +745,6 @@
   static G4int iNmin[nEl]={0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, // 14
                          1  ,  2,  3,  4,  5,  6,  7,  8,  9, 10, 11, 12, 13, 14, 15, // 29
-																									16 , 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, // 44
-																									31 , 32, 34, 36, 38, 40, 42, 44, 46, 48, 50, 52, 53, 54, 55, // 59
+                         16 , 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, // 44
+                         31 , 32, 34, 36, 38, 40, 42, 44, 46, 48, 50, 52, 53, 54, 55, // 59
                          56 , 56, 57, 57, 58, 60, 61, 63, 64, 65, 66, 67, 68, 69, 70, // 74
                          71 , 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, // 89
@@ -746,6 +753,6 @@
   static G4int iNran[nEl]={19,20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, // 14
                          34 , 35, 36, 37, 38, 39, 40, 48, 48, 48, 48, 50, 50, 50, 52, // 29
-																									53 , 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, // 44
-																									68 , 69, 70, 70, 70, 71, 71, 71, 71, 71, 72, 72, 72, 72, 72, // 59
+                         53 , 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, // 44
+                         68 , 69, 70, 70, 70, 71, 71, 71, 71, 71, 72, 72, 72, 72, 72, // 59
                          73 , 73, 73, 73, 74, 74, 74, 74, 74, 74, 74, 74, 74, 75, 76, // 74
                          76 , 76, 76, 76, 76, 75, 74, 73, 72, 71, 70, 70, 69, 69, 69, // 89
@@ -754,98 +761,98 @@
   static const G4int iNL[nEl]={19,20,21,22,23,24, 25, 26, 27, 28, 29, 30, 31, 32, 33, // 14
                          34 , 35, 36, 37, 38, 39, 40, 48, 48, 48, 48, 50, 50, 50, 52, // 29
-																									53 , 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, // 44
-																									68 , 69, 70, 70, 70, 71, 71, 71, 71, 71, 72, 72, 72, 72, 72, // 59
+                         53 , 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, // 44
+                         68 , 69, 70, 70, 70, 71, 71, 71, 71, 71, 72, 72, 72, 72, 72, // 59
                          73 , 73, 73, 73, 74, 74, 74, 74, 74, 74, 74, 74, 74, 75, 76, // 74
                          76 , 76, 76, 76, 76, 75, 74, 73, 72, 71, 70, 70, 69, 69, 69, // 89
                          68 , 68, 68, 67, 63, 59, 55, 51, 47, 43, 39, 35, 31, 27, 23};//104
    // ********* S=-4 vectors *************
-		static G4bool iNin6[nEl]={false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-				false,false,false,false,false,false,false,false,false,false,false,false,false,false};
+  static G4bool iNin6[nEl]={false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false};
   static G4double VZ6[nEl][iNR];
   //********* S=-3 vectors *************
-		static G4bool iNin7[nEl]={false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-				false,false,false,false,false,false,false,false,false,false,false,false,false,false};
+  static G4bool iNin7[nEl]={false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false};
   static G4double VZ7[nEl][iNR];
   // ********* S=-2 vectors *************
-		static G4bool iNin8[nEl]={false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-				false,false,false,false,false,false,false,false,false,false,false,false,false,false};
+  static G4bool iNin8[nEl]={false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false};
   static G4double VZ8[nEl][iNR];
   // ********* S=-1 vectors *************
-		static G4bool iNin9[nEl]={false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-				false,false,false,false,false,false,false,false,false,false,false,false,false,false};
+  static G4bool iNin9[nEl]={false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false};
   static G4double VZ9[nEl][iNR];
   // ********* S=0 vectors *************
-		static G4bool iNin0[nEl]={false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-				false,false,false,false,false,false,false,false,false,false,false,false,false,false};
+  static G4bool iNin0[nEl]={false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false};
  static G4double VZ0[nEl][iNR];
   // ********* S=1 vectors *************
-		static G4bool iNin1[nEl]={false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-				false,false,false,false,false,false,false,false,false,false,false,false,false,false};
+  static G4bool iNin1[nEl]={false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false};
   static G4double VZ1[nEl][iNR];
   // ********* S=2 vectors *************
-		static G4bool iNin2[nEl]={false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-				false,false,false,false,false,false,false,false,false,false,false,false,false,false};
+  static G4bool iNin2[nEl]={false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false};
   static G4double VZ2[nEl][iNR];
   // ********* S=3 vectors *************
-		static G4bool iNin3[nEl]={false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-				false,false,false,false,false,false,false,false,false,false,false,false,false,false};
+  static G4bool iNin3[nEl]={false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false};
   static G4double VZ3[nEl][iNR];
   // ********* S=2 vectors *************
-		static G4bool iNin4[nEl]={false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
-				false,false,false,false,false,false,false,false,false,false,false,false,false,false};
+  static G4bool iNin4[nEl]={false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false,
+    false,false,false,false,false,false,false,false,false,false,false,false,false,false};
   static G4double VZ4[nEl][iNR];
   //
@@ -863,5 +870,5 @@
   G4int zns=nz+s;
   if(nz+s<0)
-		{
+  {
     z=-z;
     n=-n;
@@ -871,14 +878,14 @@
   }
   if(z<0)
-		{
+  {
     if(z==-1)
-			 {
+    {
       if(!s)
-						{
+      {
         if(n==1)      return mPiC;              // pi-
         else          return mPiC+(n-1)*mNeut;  // Delta- + (N-1)*n
       }
       else if(s==1)                             // Strange negative hadron
-						{
+      {
         if(!n)        return mKM;               // K-
         else if(n==1) return mSiM;              // Sigma-
@@ -888,5 +895,5 @@
       }
       else if(s==2)                             // --> Double-strange negative hadrons
-						{
+      {
         if(!n)        return mKsM;              // Ksi-
         else if(n==1) return mKsiM+mNeut;       // Ksi- + n
@@ -986,14 +993,14 @@
   }
   else if(n<0)
-		{
+  {
     if(n==-1)
-			 {
+    {
       if(!s)
-						{
+      {
         if(z==1)      return mPiC;              // pi+
         else          return mPiC+(z-1)*mProt;  // Delta++ + (Z-1)*p
-					 }
+      }
       else if(s==1)                             // --> Strange neutral hadrons
-						{
+      {
         if(!z)        return mKZ;               // K0
         else if(z==1) return mSiP;              // Sigma+
@@ -1003,5 +1010,5 @@
       }
       else if(s==2)                             // --> Double-strange negative hadrons
-						{
+      {
         if(!z)        return mKsZ;              // Ksi0
         else if(z==1) return mKsiZ+mProt;       // Ksi- + p
@@ -1095,9 +1102,9 @@
   //return CalculateNuclMass(z,n,s); // @@ This is just to compare the calculation time @@
   if(!s)                   // **************> S=0 nucleus
-		{
+  {
     if(nz==256) return 256000.;
     G4int Nmin=iNF[z];     // Minimun N(Z) for the Dynamic Associative Memory (DAM)
     if(!iNin0[z])          // ====> This element is already initialized
-				{
+    {
 #ifdef idebug
       G4cout<<"**>G4QPDGCode::GetMass:Z="<<z<<", S=0 is initialized. F="<<iNin0[z]<<G4endl;
@@ -1110,5 +1117,5 @@
     G4int dNn=n-Nmin;
     if(dNn<0)              // --> The minimum N must be reduced 
-				{
+    {
 #ifdef qdebug
       if(n<iNmin[z])
@@ -1122,5 +1129,5 @@
     else if(dNn<iNL[z]) return VZ0[z][dNn]; // Found in DAM
     else                   // --> The maximum N must be increased
-				{
+    {
 #ifdef qdebug
       if(dNn>iNmax)
@@ -1139,9 +1146,9 @@
   }
   else if(s==1)            // ******************> S=1 nucleus
-		{
+  {
 
     G4int Nmin=iNF[z];     // Minimun N(Z) for the Dynamic Associative Memory (DAM)
     if(!iNin1[z])          // ====> This element is already initialized
-				{
+    {
 #ifdef idebug
       G4cout<<"**>G4QPDGCode::GetMass:Z="<<z<<", S=1 is initialized. F="<<iNin1[z]<<G4endl;
@@ -1154,5 +1161,5 @@
     G4int dNn=n-Nmin;
     if(dNn<0)              // --> The minimum N must be reduced 
-				{
+    {
 #ifdef qdebug
       if(n<iNmin[z])
@@ -1166,5 +1173,5 @@
     else if(dNn<iNL[z]) return VZ1[z][dNn]; // Found in DAM
     else                   // --> The maximum N must be increased
-				{
+    {
 #ifdef qdebug
       if(dNn>iNmax)
@@ -1183,8 +1190,8 @@
   }
   else if(s==-1)           // ******************> S=-1 nucleus
-		{
+  {
     G4int Nmin=iNF[z];     // Minimun N(Z) for the Dynamic Associative Memory (DAM)
     if(!iNin9[z])          // ====> This element is already initialized
-				{
+    {
 #ifdef idebug
       G4cout<<"*>G4QPDGCode::GetMass:Z="<<z<<", S=-1 is initialized. F="<<iNin9[z]<<G4endl;
@@ -1197,5 +1204,5 @@
     G4int dNn=n-Nmin;
     if(dNn<0)              // --> The minimum N must be reduced 
-				{
+    {
 #ifdef qdebug
       if(n<iNmin[z])
@@ -1209,5 +1216,5 @@
     else if(dNn<iNL[z]) return VZ9[z][dNn]; // Found in DAM
     else                   // --> The maximum N must be increased
-				{
+    {
 #ifdef qdebug
       if(dNn>iNmax)
@@ -1226,8 +1233,8 @@
   }
   else if(s==2)            // ******************> S=2 nucleus
-		{
+  {
     G4int Nmin=iNF[z];     // Minimun N(Z) for the Dynamic Associative Memory (DAM)
     if(!iNin2[z])          // ====> This element is already initialized
-				{
+    {
 #ifdef idebug
       G4cout<<"**>G4QPDGCode::GetMass:Z="<<z<<", S=2 is initialized. F="<<iNin2[z]<<G4endl;
@@ -1240,5 +1247,5 @@
     G4int dNn=n-Nmin;
     if(dNn<0)              // --> The minimum N must be reduced 
-				{
+    {
 #ifdef qdebug
       if(n<iNmin[z])
@@ -1252,5 +1259,5 @@
     else if(dNn<iNL[z]) return VZ2[z][dNn]; // Found in DAM
     else                   // --> The maximum N must be increased
-				{
+    {
 #ifdef qdebug
       if(dNn>iNmax)
@@ -1269,8 +1276,8 @@
   }
   else if(s==-2)           // ******************> S=-2 nucleus
-		{
+  {
     G4int Nmin=iNF[z];     // Minimun N(Z) for the Dynamic Associative Memory (DAM)
     if(!iNin8[z])          // ====> This element is already initialized
-				{
+    {
 #ifdef idebug
       G4cout<<"*>G4QPDGCode::GetMass:Z="<<z<<", S=-2 is initialized. F="<<iNin8[z]<<G4endl;
@@ -1283,5 +1290,5 @@
     G4int dNn=n-Nmin;
     if(dNn<0)              // --> The minimum N must be reduced 
-				{
+    {
 #ifdef qdebug
       if(n<iNmin[z])
@@ -1295,5 +1302,5 @@
     else if(dNn<iNL[z]) return VZ8[z][dNn]; // Found in DAM
     else                   // --> The maximum N must be increased
-				{
+    {
 #ifdef qdebug
       if(dNn>iNmax)
@@ -1312,8 +1319,8 @@
   }
   else if(s==-3)           // ******************> S=-3 nucleus
-		{
+  {
     G4int Nmin=iNF[z];     // Minimun N(Z) for the Dynamic Associative Memory (DAM)
     if(!iNin7[z])          // ====> This element is already initialized
-				{
+    {
 #ifdef idebug
       G4cout<<"*>G4QPDGCode::GetMass:Z="<<z<<", S=-3 is initialized. F="<<iNin7[z]<<G4endl;
@@ -1326,5 +1333,5 @@
     G4int dNn=n-Nmin;
     if(dNn<0)              // --> The minimum N must be reduced 
-				{
+    {
 #ifdef qdebug
       if(n<iNmin[z])
@@ -1338,5 +1345,5 @@
     else if(dNn<iNL[z]) return VZ7[z][dNn]; // Found in DAM
     else                   // --> The maximum N must be increased
-				{
+    {
 #ifdef qdebug
       if(dNn>iNmax)
@@ -1355,8 +1362,8 @@
   }
   else if(s==3)            // ******************> S=3 nucleus
-		{
+  {
     G4int Nmin=iNF[z];     // Minimun N(Z) for the Dynamic Associative Memory (DAM)
     if(!iNin3[z])          // ====> This element is already initialized
-				{
+    {
 #ifdef idebug
       G4cout<<"**>G4QPDGCode::GetMass:Z="<<z<<", S=3 is initialized. F="<<iNin3[z]<<G4endl;
@@ -1369,5 +1376,5 @@
     G4int dNn=n-Nmin;
     if(dNn<0)              // --> The minimum N must be reduced 
-				{
+    {
 #ifdef qdebug
       if(n<iNmin[z])
@@ -1381,5 +1388,5 @@
     else if(dNn<iNL[z]) return VZ3[z][dNn]; // Found in DAM
     else                   // --> The maximum N must be increased
-				{
+    {
 #ifdef qdebug
       if(dNn>iNmax)
@@ -1398,8 +1405,8 @@
   }
   else if(s==-4)           // ******************> S=-4 nucleus
-		{
+  {
     G4int Nmin=iNF[z];     // Minimun N(Z) for the Dynamic Associative Memory (DAM)
     if(!iNin6[z])          // ====> This element is already initialized
-				{
+    {
 #ifdef idebug
       G4cout<<"*>G4QPDGCode::GetMass:Z="<<z<<", S=-4 is initialized. F="<<iNin6[z]<<G4endl;
@@ -1412,5 +1419,5 @@
     G4int dNn=n-Nmin;
     if(dNn<0)              // --> The minimum N must be reduced 
-				{
+    {
 #ifdef qdebug
       if(n<iNmin[z])
@@ -1424,5 +1431,5 @@
     else if(dNn<iNL[z]) return VZ6[z][dNn]; // Found in DAM
     else                   // --> The maximum N must be increased
-				{
+    {
 #ifdef qdebug
       if(dNn>iNmax)
@@ -1441,8 +1448,8 @@
   }
   else if(s==4)           // ******************> S=4 nucleus
-		{
+  {
     G4int Nmin=iNF[z];     // Minimun N(Z) for the Dynamic Associative Memory (DAM)
     if(!iNin4[z])          // ====> This element is already initialized
-				{
+    {
 #ifdef idebug
       G4cout<<"*>G4QPDGCode::GetMass:Z="<<z<<", S=4 is initialized. F="<<iNin4[z]<<G4endl;
@@ -1455,5 +1462,5 @@
     G4int dNn=n-Nmin;
     if(dNn<0)              // --> The minimum N must be reduced 
-				{
+    {
 #ifdef qdebug
       if(n<iNmin[z])
@@ -1467,5 +1474,5 @@
     else if(dNn<iNL[z]) return VZ4[z][dNn]; // Found in DAM
     else                   // --> The maximum N must be increased
-				{
+    {
 #ifdef qdebug
       if(dNn>iNmax)
@@ -1484,8 +1491,8 @@
   }
   else
-		{
+  {
 #ifdef qdebug
     if(s<Smin || s>Smax)
-				{
+    {
       if(s<Smin) Smin=s;
       if(s>Smax) Smax=s;
@@ -1587,14 +1594,14 @@
   //static G4double c[9][9]={// z=1     =2     =3     =4     =5     =6     =7     =8     =9
   //                 {13.136,14.931,25.320,38.000,45.000,55.000,65.000,75.000,85.000},//n=1
-		//		   {14.950, 2.425,11.680,18.374,27.870,35.094,48.000,60.000,72.000},  //n=2
-		//		   {25.930,11.390,14.086,15.770,22.921,28.914,39.700,49.000,60.000},  //n=3
-		//		   {36.830,17.594,14.908, 4.942,12.416,15.699,24.960,32.048,45.000},  //n=4
-		//		   {41.860,26.110,20.946,11.348,12.051,10.650,17.338,23.111,33.610},  //n=5
-		//		   {45.000,31.598,24.954,12.607, 8.668, 0.000, 5.345, 8.006,16.780},  //n=6
-		//		   {50.000,40.820,33.050,20.174,13.369, 3.125, 2.863, 2.855,10.680},  //n=7
-		//		   {55.000,48.810,40.796,25.076,16.562, 3.020, 0.101,-4.737,1.9520},  //n=8
-		//		   {60.000,55.000,50.100,33.660,23.664, 9.873, 5.683,-0.809,0.8730}}; //n=9
+  //     {14.950, 2.425,11.680,18.374,27.870,35.094,48.000,60.000,72.000},  //n=2
+  //     {25.930,11.390,14.086,15.770,22.921,28.914,39.700,49.000,60.000},  //n=3
+  //     {36.830,17.594,14.908, 4.942,12.416,15.699,24.960,32.048,45.000},  //n=4
+  //     {41.860,26.110,20.946,11.348,12.051,10.650,17.338,23.111,33.610},  //n=5
+  //     {45.000,31.598,24.954,12.607, 8.668, 0.000, 5.345, 8.006,16.780},  //n=6
+  //     {50.000,40.820,33.050,20.174,13.369, 3.125, 2.863, 2.855,10.680},  //n=7
+  //     {55.000,48.810,40.796,25.076,16.562, 3.020, 0.101,-4.737,1.9520},  //n=8
+  //     {60.000,55.000,50.100,33.660,23.664, 9.873, 5.683,-0.809,0.8730}}; //n=9
   if(z>107)
-		{
+  {
 #ifdef debug
     G4cout<<"***G4QPDGCode::CalcNuclMass: Z="<<z<<">107, N="<<n<<", S="<<s<<G4endl;
@@ -1641,5 +1648,5 @@
       return mK;  // Simple decision
     else if(S>0)                                  // General decision
-	   {
+    {
       if     (-Z>S) return S*mK-(S+Z)*mPi+eps;
       else if(Z>=0) return S*mK0+Z*mPi+eps;
@@ -1647,5 +1654,5 @@
     }
     else if(S<0)                                  // General decision
-	   {
+    {
       if     (Z>-S) return -S*mK+(S+Z)*mPi+eps;
       else if(Z<=0) return -S*mK0-Z*mPi+eps;
@@ -1666,20 +1673,20 @@
     else if(!S&&N<0) return mP-mPi*N+eps;         // Positive Isonuclei
     else if(S==1)                                 // --> General decision
-	   {
+    {
       if     (N>1)   return mSm+(N-1)*mPi+eps;    // (Sigma-)+(n*PI-)
       else if(Z>1)   return mSp+(Z-1)*mPi+eps;    // (Sigma+)+(n*PI+)
     }
     else if(S==2)                                 // --> General decision
-	   {
+    {
       if     (N>0)   return mXm+N*mPi+eps;        // (Xi-)+(n*PI-)
       else if(Z>0)   return mXz+Z*mPi+eps;        // (Xi0)+(n*PI+)
     }
     else if(S==3)                                 // --> General decision
-	   {
+    {
       if     (N>-1)  return mOm+(N+1)*mPi+eps;    // (Omega-)+(n*PI-)
       else if(Z>-1)  return mOm+(Z+1)*mPi+eps;    // (Omega-)+(n*PI+)
     }
     else if(S>3)                                  // --> General Omega- decision
-	   {
+    {
       if   (-Z>S-2)  return mOm+(S-3)*mK +(2-Z-S)*mPi+eps;
       else if(Z>-1)  return mOm+(S-3)*mK0+(Z+1)+mPi+eps;
@@ -1705,20 +1712,20 @@
     else if(!S&&N<0) return dmP-mPi*N+eps;        // Positive Isonuclei
     else if(S==1)                                 // --> General decision
-	   {
+    {
       if     (N>2)   return dSP+(N-2)*mPi+eps;    // (nSigma-)+(n*PI-)
       else if(Z>2)   return dSN+(Z-1)*mPi+eps;    // (pSigma+)+(n*PI+)
     }
     else if(S==2)                                 // --> General decision
-	   {
+    {
       if     (N>1)   return dXN+(N-1)*mPi+eps;    // (nXi-)+(n*PI-)
       else if(Z>1)   return dXP+(Z-1)*mPi+eps;    // (pXi0)+(n*PI+)
     }
     else if(S==3)                                 // --> General decision
-	   {
+    {
       if     (N>0)   return dON+N*mPi+eps;        // (nOmega-)+(n*PI-)
       else if(Z>0)   return dOP+Z*mPi+eps;        // (pOmega-)+(n*PI+)
     }
     else if(S>3)                                  // --> General Omega- decision
-	   {
+    {
       if   (-Z>S-2)  return dON+(S-3)*mK +(2-Z-S)*mPi+eps;
       else if(Z>0)   return dOP+(S-3)*mK0+Z+mPi+eps;
@@ -1727,7 +1734,7 @@
     //else if(S>0)                                // @@ Implement General Decision
     //{
-	   //  //#ifdef debug
-	   //  G4cout<<"***G4QPDGCode::GetNuclMass:B=2, Z="<<Z<<",N="<<N<<",S="<<S<<G4endl;
-	   //  //#endif
+    //  //#ifdef debug
+    //  G4cout<<"***G4QPDGCode::GetNuclMass:B=2, Z="<<Z<<",N="<<N<<",S="<<S<<G4endl;
+    //  //#endif
     //  return bigM;                              // Exotic dibaryons (?)
     //}
@@ -1760,10 +1767,10 @@
   {
     if(Zm>=-S)                        // Enough charge for K+'s
-	   {
+    {
       km=-S*mK;                       // Anti-Lambdas are compensated by protons
-	     Zm+=S;
+      Zm+=S;
     }
     else if(Zm>0)
-	   {
+    {
       km=Zm*mK-(S+Zm)*mK0;            // Anti-Lambdas are partially compensated by neutrons
       Zm=0;
@@ -1779,7 +1786,7 @@
     G4int bH=-S-sH;                   // BigHalhS   || as in G4QE::DecayAntiStrange
     if(Z>0 && Z>N)
-	   {
+    {
       if(Z>=bH)                       // => "Enough protons in nucleus" case
-	     {
+      {
         if(N>=sH)
         {
@@ -1823,15 +1830,15 @@
           }
         }
-	     }
+      }
       else // Must not be here
-	     {
+      {
 #ifdef debug
         G4cout<<"***G4QPDGC::CalcNuclMass:Antimatter? Z="<<Z<<",N="<<N<<",S="<<S<<G4endl;
 #endif
         return 0.;                          // @@ Antiparticles aren't implemented @@
-	     }
-	   }
+      }
+    }
     else if(N>=bH)
-	   {
+    {
       if(Z>=sH)
       {
@@ -1875,12 +1882,12 @@
         }
       }
-	   }
+    }
     else // Must not be here
-	   {
+    {
       return 0.;                            // @@ Antiparticles aren't implemented @@
 #ifdef debug
         G4cout<<"***G4QPDGC::CalcNuclMass:Antimatter? N="<<N<<",Z="<<Z<<",S="<<S<<G4endl;
 #endif
-	   }
+    }
     S=0;
   }
@@ -1923,6 +1930,6 @@
     //else if(A==256 && Z==128) m=256000.;
     //else
-				//		m=k+G4ParticleTable::GetParticleTable()->FindIon(Z,A,0,Z)->GetPDGMass();
-		 //m+=-sh[Z]-sh[N]+b1*D*D*pow(fA,b2)+b3*(1.-2./(1.+exp(b4*D)))+Z*Z*(b5*pow(fA,b9)+b6/fA);
+    //  m=k+G4ParticleTable::GetParticleTable()->FindIon(Z,A,0,Z)->GetPDGMass();
+   //m+=-sh[Z]-sh[N]+b1*D*D*pow(fA,b2)+b3*(1.-2./(1.+exp(b4*D)))+Z*Z*(b5*pow(fA,b9)+b6/fA);
   }
   //@@//G4double maxM= k+Z*mP+N*mN+S*mL+eps;      // @@ eps -- Wings of the Mass parabola
@@ -1950,5 +1957,5 @@
     {   // @@ Can be generalized to anti-nuclei
 #ifdef debug
-      G4cerr<<"**G4QPDGCode::CalcNucM:A="<<Am<<"<1 || Z="<<Zm<<"<0 || N="<<Nm<<"<0"<<G4endl;
+      G4cerr<<"*G4QPDGCode::CalcNucM:A="<<Am<<"<1 || Z="<<Zm<<"<0 || N="<<Nm<<"<0"<<G4endl;
 #endif
     }
@@ -1965,6 +1972,6 @@
       //  mm=km+G4NucleiProperties::GetNuclearMass(Am,Zm);
       //else
-						//  mm=km+G4ParticleTable::GetParticleTable()->FindIon(Zm,Am,0,Zm)->GetPDGMass();
-						//  //mm+=-sh[Zm]-sh[Nm]+b1*Dm*Dm*pow(fA,b2)+b3*(1.-2./(1.+exp(b4*Dm)))
+      //  mm=km+G4ParticleTable::GetParticleTable()->FindIon(Zm,Am,0,Zm)->GetPDGMass();
+      //  //mm+=-sh[Zm]-sh[Nm]+b1*Dm*Dm*pow(fA,b2)+b3*(1.-2./(1.+exp(b4*Dm)))
       //  //    +Zm*Zm*(b5*pow(fA,b9)+b6/Am);
     }
@@ -2020,5 +2027,5 @@
     if     (ab==22) G4cout<<"-W-G4QPDGC::GetQuarkCont: For the Photon? - Return 0"<<G4endl;
     else if(ab==10) G4cout<<"-W-G4QPDGC::GetQuarkCont: For Chipolino? - Return 0"<<G4endl;
-	   else G4cout<<"-W-G4QPDGCode::GetQuarkCont: For PDG="<<thePDGCode<<" Return 0"<<G4endl;
+    else G4cout<<"-W-G4QPDGCode::GetQuarkCont: For PDG="<<thePDGCode<<" Return 0"<<G4endl;
 #endif
     return G4QContent(0,0,0,0,0,0); // Photon, bosons, leptons
@@ -2031,71 +2038,71 @@
     G4int t=0;         // (3)prototype of highest quark (B)
 #ifdef sdebug
-	   G4cout<<"G4QPDGCode::GetQuarkContent: a="<<ab<<", c="<<c<<", f="<<f<<", v="<<v<<G4endl;
+    G4cout<<"G4QPDGCode::GetQuarkContent: a="<<ab<<", c="<<c<<", f="<<f<<", v="<<v<<G4endl;
 #endif
     if(v>10)           // Baryons
-	   {
+    {
       t=v/10;          // (3) highest quark
       v%=10;           // (2) high quark
       if     (f==1)
-	     {
+      {
         if(a) ad++;
         else   d++;
-	     }
+      }
       else if(f==2)
-	     {
+      {
         if(a) au++;
         else   u++;
-	     }
+      }
       else if(f==3)
-	     {
+      {
         if(a) as++;
         else   s++;
-	     }
-      else G4cerr<<"***G4QPDGCode::GetQContent:1 PDG="<<thePDGCode<<","<<f<<","<<v<<","<<t<<G4endl;
+      }
+      else G4cerr<<"*G4QPDGC::GetQCont:1 PDG="<<thePDGCode<<","<<f<<","<<v<<","<<t<<G4endl;
       if     (v==1)
-	     {
+      {
         if(a) ad++;
         else   d++;
-	     }
+      }
       else if(v==2)
-	     {
+      {
         if(a) au++;
         else   u++;
-	     }
+      }
       else if(v==3)
-	     {
+      {
         if(a) as++;
         else   s++;
-	     }
-      else G4cerr<<"***G4QPDGCode::GetQContent:2 PDG="<<thePDGCode<<","<<f<<","<<v<<","<<t<<G4endl;
+      }
+      else G4cerr<<"*G4QPDGC::GetQCont:2 PDG="<<thePDGCode<<","<<f<<","<<v<<","<<t<<G4endl;
       if     (t==1)
-	     {
+      {
         if(a) ad++;
         else   d++;
-	     }
+      }
       else if(t==2)
-	     {
+      {
         if(a) au++;
         else   u++;
-	     }
+      }
       else if(t==3)
-	     {
+      {
         if(a) as++;
         else   s++;
-	     }
-      else G4cerr<<"***G4QPDGCode::GetQCont:3 PDG="<<thePDGCode<<","<<f<<","<<v<<","<<t<<G4endl;
+      }
+      else G4cerr<<"*G4QPDGC::GetQCont:3 PDG="<<thePDGCode<<","<<f<<","<<v<<","<<t<<G4endl;
       return G4QContent(d,u,s,ad,au,as);
-	   }
+    }
     else        // Mesons
-	   {
+    {
       if(f==v)
-	     {
+      {
         if     (f==1) return G4QContent(1,0,0,1,0,0);
         else if(f==2) return G4QContent(0,1,0,0,1,0);
         else if(f==3) return G4QContent(0,0,1,0,0,1);
-        else G4cerr<<"***G4QPDGCode::GetQCont:4 PDG="<<thePDGCode<<",i="<<f<<","<<v<<","<<t<<G4endl;
-	     }
+        else G4cerr<<"*G4QPDGC::GetQC:4 PDG="<<thePDGCode<<","<<f<<","<<v<<","<<t<<G4endl;
+      }
       else
-	     {
+      {
         if     (f==1 && v==2)
         {
@@ -2113,7 +2120,7 @@
           else return G4QContent(0,1,0,0,0,1);
         }
-        else G4cerr<<"***G4QPDGCode::GetQCont:5 PDG="<<thePDGCode<<","<<f<<","<<v<<","<<t<<G4endl;
-	     }
-	   }
+        else G4cerr<<"*G4QPDGC::GetQC:5 PDG="<<thePDGCode<<","<<f<<","<<v<<","<<t<<G4endl;
+      }
+    }
   }
   else                    
@@ -2214,5 +2221,5 @@
   if(theQCode<fragmStart) return 7;
   G4int sub=theQCode-fragmStart;
-  if ( (sub > 1 && sub < 8) || sub == 15) return 7; //@@Why they are in clusters?-Residuals(?)
+  if ( (sub > 1 && sub < 8) || sub == 15) return 7;//Why they are in clusters?-Residuals(?)
   G4int rel=sub;                         // case of nuclear baryons and isonuclei
   if     (sub>31)rel =(sub-32)%15;       // case of heavy fragments (BaryNum>3)
@@ -2278,10 +2285,10 @@
   {
     G4int shiftQ=GetRelCrossIndex(i, o);
-    G4int sQCode=theQCode;                        // QCode of the parent cluster
-    if     (shiftQ==7) return 0;                  // A parent cluster doesn't exist
-    else if(!shiftQ) sQCode+=shiftQ;              // Shift QCode of son to QCode of his parent
-    G4QPDGCode parent;                            // Create a temporary (fake) parent cluster
-    parent.InitByQCode(sQCode);                   // Initialize it by Q-Code
-    G4QContent parentQC=parent.GetQuarkContent(); // Quark Content of the parent cluster
+    G4int sQCode=theQCode;                     // QCode of the parent cluster
+    if     (shiftQ==7) return 0;               // A parent cluster doesn't exist
+    else if(!shiftQ) sQCode+=shiftQ;           // Shift QCode of son to QCode of his parent
+    G4QPDGCode parent;                         // Create a temporary (fake) parent cluster
+    parent.InitByQCode(sQCode);                // Initialize it by Q-Code
+    G4QContent parentQC=parent.GetQuarkContent();// Quark Content of the parent cluster
     if     (!o)   return parentQC.GetD();
     else if(o==1) return parentQC.GetU();
@@ -2324,5 +2331,5 @@
     {
       if(cz>500000) cz-=1000000;                   // AntiProtons
-				  z=cz/1000;                                   // Number of protons
+      z=cz/1000;                                   // Number of protons
       r-=cz;                                       // Subtract them from the residual
       if(r==90000000) return;
@@ -2332,5 +2339,5 @@
     {
       if(cs>5000000) cs-=10000000;                 // AntiLambda
-				  s=cs/1000000;                                // Number of Lambdas
+      s=cs/1000000;                                // Number of Lambdas
     }
   }
